:root {
    --heading: 'Antonio', sans-serif;
    --subheading: "Bricolage Grotesque", sans-serif;
    --body-text: "Lexend", sans-serif;
    --almond: #efdecd;
    --licorice: #1a1110;
    --celadon: #ace1af;
    --french-gray: #bebfc5;
    --darker-almond: #d0bfae;
    --darkest-almond: #b2a393;
    --primary-nav-hover: #864c0f;
    --primary-nav-active: #633605;
}

html,
body {
    margin: 0;
    padding: 0;
    background-color: var(--almond);
}

body {
    font-family: var(--bodyText);
    font-size: 16px;
    line-height: 1.6;
}

figure {
    margin: 0;
}

.page-wrap {
    max-width: 1600px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
}

header {
    margin-inline: 24px;
    position: sticky;
    top: -8px;
    z-index: 9;
}

header::before {
    content: '';
    display: block;
    height: 4px;
    position: sticky;
    top: 60px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
    margin-inline: 8px;
    z-index: 1;
}

header::after {
    content: '';
    display: block;
    height: 8px;
    position: sticky;
    top: 0;
    background: linear-gradient(var(--almond), transparent);
    z-index: 2;
}

header .content {
    background-color: var(--almond);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 24px;
    position: sticky;
    top: 0;
    margin-top: -16px;
    z-index: 3;
}

h1 {
    font-family: var(--heading);
    font-size: 120px;
    padding: 30px;
    line-height: 1.1;
    color: white;
    margin: 0;
    display: block;
}

h2 {
    font-family: var(--subheading);
    font-weight: 300;
    font-size: 36px;
    margin-inline: 0;
    margin-block: 0 16px;
}

h3 {
    font-family: var(--subheading);
    font-weight: 300;
    font-size: 28px;
    align-self: center;
    justify-self: center;
}

small {
    font-family: var(--subheading);
    font-size: 14px;
    align-self: inline-start;
    margin: 20px;
}

.image {
    height: 300px;
    width: 500px;
}

img {
    border-radius: 16px;
}

.hero-banner {
    background-color: var(--licorice);
    margin: 0 48px;
}

.hero-section-description {
    margin-inline: 48px;
    margin-block: 16px;
}

.accent1 {
    color: var(--celadon);
}

.accent2 {
    color: var(--french-gray);
}

nav {
    color: #1A1110;
    font-family: var(--body-text);
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    display: flex;
    gap: 30px;
    justify-self: flex-end;
}

nav a {
    transition: ease-in-out 0.3s;
}

a {
    text-decoration: none;
    color: var(--licorice);
    font-family: var(--body-text);
    font-weight: 300;
}

a:hover {
    color: var(--primary-nav-hover);
}

nav a.active {
    color: var(--primary-nav-active);
}

nav a.active::after {
    content: "";
    height: 2px;
    width: 100%;
    background-color: var(--primary-nav-hover);
    display: block;
}

p,
li,
figcaption {
    color: var(--licorice);
    font-family: var(--body-text);
    font-weight: 300;
    margin-inline: 0;
    margin-block: 0 16px;
    font-size: 16px;
    line-height: 1.6;
}

figcaption {
    align-self: flex-start;
    font-size: 10px;
}

.banner-line {
    margin: 16px auto;
    display: block;
}

.banner-line,
.horizontal-line {
    display: block;
    border: var(--darker-almond) solid 0;
    border-top-width: 1px;
    width: 100%;
    margin-block-end: 12px;
}

.vertical {
    display: block;
    color: var(--licorice);
    overflow: hidden;
    border-style: inset;
    border-width: 1px;
    height: 800px;
    width: 1px;
}

.vertical-medium {
    display: block;
    color: var(--licorice);
    overflow: hidden;
    border-style: inset;
    border-width: 1px;
    height: 650px;
    width: 1px;
}

.vertical-shortened {
    display: block;
    color: var(--darker-almond);
    overflow: hidden;
    border-style: solid;
    border-width: 0;
    border-left-width: 1px;
    height: 80%;
    align-self: self-end;
}

.major-historic-events,
.crime-ratings,
.interviews,
.funko,
.imagine,
.city-quest,
.triaksha,
.ailin,
.assumpta,
.avantika,
.boeing-fof,
.angel-winds {
    display: grid;
    line-height: 1.1;
    grid-template-columns: auto 1fr;
    gap: 48px;
    position: relative;
    margin-block: 48px;
    margin-inline: 48px;
}

.major-historic-events h2 {
    grid-column: 1 / span 2;
}

.major-historic-events .text-content {
    margin-block-start: 72px;
}

.info-page section:not(.hero-banner, .hero-section-description, .school-ratings) {
    display: grid;
    line-height: 1.1;
    grid-template-columns: auto 1fr;
    gap: 48px;
    position: relative;
    margin-block: 48px;
    margin-inline: 48px;
}

.charts-container {
    display: flex;
    gap: 16px;
    align-items: flex-start;
}

.age-group-population-chart,
.race-population-chart {
    max-width: 50%;
    max-height: max-content;
}

.circle-mask {
    border-radius: 50%;
    height: 500px;
    width: 500px;
}

.right-align {
    display: flex;
    justify-self: flex-end;
}

footer {
    margin-inline: 48px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

footer p {
    margin: 0;
    padding-block: 4px 16px;
}

.why-does-this-matter-what-does-the-data-say,
.house-value-school-ratings,
.walkability-bike-bus-scores {
    display: grid;
    line-height: 1.1;
    grid-template-columns: 1fr 1fr;
    gap: 32px;
    position: relative;
    margin: 48px;
}

.green-circle,
.black-circle,
.gray-circle {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    padding: 20px;
    box-sizing: border-box;
}

.green-circle {
    background-color: var(--celadon);
    border-radius: 50%;
    height: 200px;
    width: 200px;
    font-family: var(--body-text);
    color: var(--licorice);
    font-weight: 300;
    text-align: center;
    z-index: 3;
    inset: 0 25px 0 0;
    position: absolute;
}

.black-circle {
    background-color: var(--licorice);
    border-radius: 50%;
    height: 175px;
    width: 175px;
    font-family: var(--body-text);
    color: white;
    font-weight: 300;
    text-align: center;
    z-index: 5;
    position: absolute;
    inset: 150px 0 0 0;

}

.gray-circle {
    background-color: var(--french-gray);
    border-radius: 50%;
    height: 150px;
    width: 150px;
    font-family: var(--body-text);
    color: var(--licorice);
    font-weight: 300;
    text-align: center;
    z-index: 4;
    position: absolute;
    inset: 130px 160px auto;

}

.container {
    position: relative;
    height: 320px;
    width: 310px;
}

.circleInfo {
    display: flex;
    align-items: center;
    justify-content: center;
}

.timeline {
    position: relative;
    max-width: 1200px;
    margin-inline: auto;
    margin-block: 48px;
}

.wrapper {
    box-sizing: border-box;
    padding: 8px 36px;
    position: relative;
    width: 55%;
    background-color: var(--darker-almond);
    margin: 36px 0;
    border-radius: 16px;
    animation: movedown linear forwards;
    opacity: 0;
    animation-timeline: view();
    /* animation-range: contain; */
    animation-range: entry 60% entry 100%;
}

@keyframes movedown {
    0% {
        transform: translateY(-32px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.text-box {
    padding-block: 16px;
    position: relative;
    border-radius: 6px;
    z-index: 1;
}

.text-box h2 {
    margin-block-end: 0;
}

.text-box em {
    margin-block: 8px;
    font-family: var(--subheading);
    font-size: 18px;
}

.left-wrapper {
    left: 0;
}

.left-wrapper .text-box {
    padding-inline: 0 24px;
}

.right-wrapper .text-box {
    padding-inline: 42px 0;
}

.right-wrapper {
    left: 50%;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    height: 100%;
    background: var(--licorice);
    z-index: 1;
    inset: 0 47.5% auto auto;
    animation: moveline 6s linear forwards;
    animation-timeline: scroll(root block);
    /* Animates based on vertical scroll */
}

@keyframes moveline {
    0% {
        height: 0;
    }

    100% {
        height: 100%;
    }
}

.timeline-circle {
    border-radius: 50%;
    width: 36px;
    height: 36px;
    background-color: var(--licorice);
    display: flex;
    position: absolute;
    z-index: 10;
    inset: 50% -20px auto auto;
}

.right-wrapper .timeline-circle {
    inset: 50% auto auto -27px;
}

.resource-urls {
    margin-inline: 48px;
}

.resource-urls a {
    color: var(--licorice);
    text-decoration: underline;
}

.resource-urls a:hover,
.resource-urls a:active {
    color: var(--primary-nav-hover);
}

.logo {
    height: 50px;
    width: 50px;
}

.info-page section img,
.attractions-page section img {
    max-width: 440px;
    height: 320px;
    object-fit: cover;
    object-position: center;
}

.info-page h2,
.attractions-page h2 {
    padding-top: 24px;
}

/* make about into two equal columns */
.about-page section {
    grid-template-columns: 1fr 1fr;
}

figure figcaption {
    text-align: center;
}

.school-ratings {
    display: grid;
    grid-template-columns: repeat(3, 1fr auto);
    gap: 48px;
    position: relative;
    margin-block: 48px;
    margin-inline: 48px;
}
